Bug 1819843 - libgit2-1.0.0 is available
Summary: libgit2-1.0.0 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libgit2
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Raits
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedFreezeException
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-01 17:20 UTC by Upstream Release Monitoring
Modified: 2020-12-29 15:22 UTC (History)
10 users (show)

Fixed In Version: libgit2-1.1.0-2.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-29 15:22:12 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Fedora Pagure fesco issue 2377 0 None None None 2020-04-20 16:24:52 UTC

Description Upstream Release Monitoring 2020-04-01 17:20:31 UTC
Latest upstream release: 1.0.0
Current version/release in rawhide: 0.99.0-2.fc33
URL: https://github.com/libgit2/libgit2

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/1627/

Comment 1 Fedora Blocker Bugs Application 2020-04-15 13:45:18 UTC
Proposed as a Freeze Exception for 32-final by Fedora user ignatenkobrain using the blocker tracking app because:

 Upstream has released finally after many years of development 1.0.0. Right now F32 has 0.99.0 (aka pre-1.0.0) and that bumps soname. However, no incompatible API changes were made which make all packages which were built against 0.99.0 build just fine.

I'd like to avoid people who install F32 to immediately upgrade to new libgit2 with new SONAME.

Affected packages:
* bat (rust-bat)
* cargo-c (rust-cargo-c)
* exa (rust-exa)
* geany-plugins-git-changebar, geany-plugins-workbench (geany-plugins)
* git-evtag
* gnome-builder
* julia
* kf5-ktexteditor
* libgit2-glib
* pretty-git-prompt (rust-pretty-git-prompt)
* python3-pygit2 (python-pygit2) - requires update from 1.1.0 to 1.2.0
* rubygem-rugged - requires update from 0.99.0 to 1.0.0
* silver (rust-silver)
* starship

All these packages were already updated/rebuilt in Rawhide today without any single issue.

Comment 2 Ben Cotton 2020-04-15 14:55:23 UTC
What's the harm in doing a post-install upgrade compared to dropping a soname bump into an RC at the last minute? I'm not seeing where this meets the threshold for freeze exceptions.

Comment 3 Neal Gompa 2020-04-15 14:57:13 UTC
(In reply to Ben Cotton from comment #2)
> What's the harm in doing a post-install upgrade compared to dropping a
> soname bump into an RC at the last minute? I'm not seeing where this meets
> the threshold for freeze exceptions.

Typically, the policy is to not do soname bumps if they can be avoided post-GA. So this is an attempt to comply with that policy in a somewhat maintainable fashion.

Comment 4 Igor Raits 2020-04-15 15:44:19 UTC
I have submitted bodhi update for this: https://bodhi.fedoraproject.org/updates/FEDORA-2020-cb72ecb134

Comment 5 Adam Williamson 2020-04-15 16:01:59 UTC
-1 FE, I think doing this during a freeze is worse than doing it as a post-release update.

Comment 6 Stephen Gallagher 2020-04-15 20:58:44 UTC
-1 FE for the same reason as Adam.

Igor, please petition FESCo for permission to do this post-release.

Comment 7 Fedora Update System 2020-04-18 10:39:47 UTC
FEDORA-2020-cb72ecb134 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-cb72ecb134

Comment 8 Lukas Ruzicka 2020-04-20 11:29:03 UTC
This update works fine on my computer, however I only use kf5-ktexteditor and pretty-git-prompt. I have not experienced any problems with them.

Comment 9 Geoffrey Marr 2020-04-20 17:47:17 UTC
Discussed during the 2020-04-20 blocker review meeting: [0]

The decision to classify this bug as a "RejectedFreezeException" was made as there is no significant benefit to be gained by a freeze exception for this. it would be safer to do it as a post-release update.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2020-04-20/f32-blocker-review.2020-04-20-16.01.txt

Comment 10 Fedora Update System 2020-04-21 04:40:08 UTC
FEDORA-2020-cb72ecb134 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-cb72ecb134

Comment 11 Fedora Update System 2020-04-27 05:22:15 UTC
FEDORA-2020-cb72ecb134 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-cb72ecb134`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-cb72ecb134

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-04-28 02:30:29 UTC
FEDORA-2020-cb72ecb134 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-12-29 15:22:12 UTC
FEDORA-2020-aca6d45c36 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.